%define	major 1
%define libname	%mklibname tlen
%define		_snapshot	20060309

Summary:	Tlen.pl client library
Name:		libtlen
Version:	1
Release:	%mkrel 0.%{_snapshot}.1
License:	GPL
Group:		System/Libraries
Source0:	http://dl.sourceforge.net/sourceforge/tleenx/%{name}-%{_snapshot}.tar.gz
URL:		http://libtlen.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
#-n %libname
libtlen is a library providing an API for client programs which want
to use Tlen.pl.

%package -n %libname-devel
Summary:	Development library for libtlen
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	libtlen-devel = %{version}-%{release}

%description -n %libname-devel
This package is required to develop programs that use Tlen.pl
protocol.

%prep
%setup -q -n %{name}-%{_snapshot}

%build

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files 
#-n %libname
%defattr(644,root,root,755)
%doc docs/AUTHORS docs/TODO
%attr(755,root,root) %{_libdir}/libtlen.so.%{major}*

%files -n %libname-devel
%defattr(644,root,root,755)
%doc docs/*.html
%{_includedir}/*
%{_libdir}/libtlen.so
%{_libdir}/libtlen.a


%changelog
* Thu Dec 07 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1-0.20060309.1mdv2007.0
+ Revision: 92086
- Import libtlen

